'use client'

import { useSearchParams } from 'next/navigation'

const LogoutClientPage = () => {
  const searchParams = useSearchParams()

  fetch('/api/users/logout', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
  }).finally(() => {
    window.location.href = searchParams.get('redirectUrl') || '/'
  })

  return (
    <section>
      <p>Logging you out . . .</p>
    </section>
  )
}

export default LogoutClientPage
