'use client'

import Manage from '@/components/Manage/Manage'
import { Checkout, Repository, User } from '@/payload-types'
import { PaginatedDocs } from 'payload'

type Props = {
  repos: PaginatedDocs<Repository> | null
  borrows: PaginatedDocs<Checkout> | null
  loans: PaginatedDocs<Checkout> | null
  user: User | null
}
const ManagePageClient = (props: Props) => {
  const { repos, borrows, loans, user } = props
  return <Manage repos={repos} borrows={borrows} user={user} loans={loans} />
}

export default ManagePageClient
